Page MenuHomePhabricator

Create "MediaWiki-jQuery-Tablesorter" project and close T33601
Closed, ResolvedPublic

Description

It's its own component, currently part of MediaWiki core. With quite a few issues around it.

Project owners: @Krinkle, @TheDJ.

See also:

Event Timeline

Krinkle created this task.Jan 8 2015, 9:00 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a project: Phabricator.
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle added subscribers: Krinkle, Aklapper.
Krinkle added a subscriber: TheDJ.
Krinkle updated the task description. (Show Details)Jan 8 2015, 9:03 PM
TheDJ awarded a token.Jan 9 2015, 8:45 PM
Qgil triaged this task as Medium priority.Jan 12 2015, 7:39 AM
Qgil edited projects, added Project-Admins; removed Phabricator.
Aklapper renamed this task from Create "jquery-tablesorter" project to Create "jquery-tablesorter" project and kill T33601.Jan 15 2015, 8:30 PM

So how would this project be named? MediaWiki-Jquery-Tablesorter? Just Jquery-tablesorter?
A tag symbol I assume? Any project description available?

See https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects for required information.

Krinkle added a comment.EditedJan 15 2015, 10:36 PM

@Aklapper Use "jquery" (internal identifier) or "jQuery" (display title). "Jquery" does not exist.

  • Name: MediaWiki-jQuery-Tablesorter
  • Type: Component
  • Description:

jQuery plugin for turning an HTML table into a table with with multi-column sorting capabilities.

This plugin is currently maintained as module in MediaWiki core.

Documentation: https://www.mediawiki.org/wiki/Tablesorter

Like many plugins and libraries, this is currently part of MediaWiki core, but will (once properly factored out) likely move into its own Git repository. This has already happened with CDB (PHP lib), and various others are closely following (CSSMin, JavaScriptMinifier, Cookie, ..). Once separated, we may want to rename it to "jQuery-Tablesorter".

Krinkle renamed this task from Create "jquery-tablesorter" project and kill T33601 to Create "MediaWiki-jQuery-Tablesorter" project and close T33601.Jan 15 2015, 10:37 PM
Aklapper closed this task as Resolved.Feb 12 2015, 4:39 PM
Aklapper claimed this task.
  • Requested project has been created: MediaWiki-Interface (jQuery-Tablesorter)
  • Dependency tasks of tracking task T33601 have been added to the project.
  • Subscribers of T33601 have been added as project members.
  • Tracking task T33601 has been closed and its summary updated. Also added new summary as a comment as mail notification settings differ among folks.

If for some reason you ever want to rename the project, please check the guidelines first.
Please also subscribe yourself to the project in order to receive updates! See Receiving updates and notifications for more information.
Enjoy!